List built-in voices
curl --request GET \
--url https://api.topcalls.ai/v1/voices/builtin \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topcalls.ai/v1/voices/builtin"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topcalls.ai/v1/voices/builtin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"realtime": {
"provider": "<string>",
"voices": [
{
"name": "<string>",
"description": "<string>",
"provider": "<string>",
"mode": "<string>",
"language": "<string>",
"gender": "<string>"
}
],
"default": "<string>"
},
"legacy": {
"elevenlabs": {
"voices": [
{
"name": "<string>",
"id": "<string>",
"description": "<string>",
"provider": "<string>",
"gender": "<string>",
"age": "<string>"
}
],
"default_id": "<string>",
"note": "<string>"
},
"deepgram": {
"voices": [
{
"name": "<string>",
"description": "<string>",
"provider": "<string>",
"language": "<string>",
"gender": "<string>"
}
],
"default": "<string>",
"note": "<string>"
}
}
}{
"status": 401,
"title": "Unauthorized",
"detail": "Invalid or missing API key"
}Configuration
List built-in voices
Returns built-in voices grouped by mode and provider. These voices are available without any additional setup.
Use query parameters to filter by mode, provider, language, or gender.
GET
/
v1
/
voices
/
builtin
List built-in voices
Authorizations
Use Authorization: Bearer tc_live_xxxxx
Query Parameters
Filter by call mode
Available options:
realtime, legacy Filter by voice provider
Available options:
openai, elevenlabs, deepgram, cartesia Filter by language code (e.g., en, es, fr, de, it, ja, nl)
Filter by voice gender
Available options:
male, female ⌘I